#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:           khealthcertificate
Version: 25.04.2
Release:        %mkrel 1
Summary:        Handling of digital vaccination, test and recovery certificates
Group:          Graphical desktop/KDE
License:        Apache2.0 and BSD and CC-BY-4.0 and CC0-1.0 and EUPL-1.2 and LGPL-2.0 and MIT and W3C-20120513
Url:            https://invent.kde.org/pim/khealthcertificate
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)

%description
Handling of digital vaccination, test and recovery certificates.

%files
%license LICENSES/*
%{_kf6_categoriesdir}/org_kde_khealthcertificate.categories
%{_kf6_qmldir}/org/kde/khealthcertificate/

#--------------------------------------------------------------------

%define major   1
%define libname %mklibname khealthcertificate %{major}

%package -n %{libname}
Summary:        The KDE Health Certificate library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
The KDE Health Certificate component library.

%files -n %{libname}
%{_kf6_libdir}/libKHealthCertificate.so.%{major}
%{_kf6_libdir}/libKHealthCertificate.so.%{version}

#--------------------------------------------------------------------

%define develname %mklibname khealthcertificate -d

%package -n %{develname}
Summary:        Development files for khealthcertificate
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to
build applications based on %name.

%files -n %{develname}
%{_includedir}/*
%{_kf6_libdir}/*.so
%{_kf6_libdir}/cmake/KHealthCertificate/

#--------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


%changelog
* Thu Jun 05 2025 daviddavid <daviddavid> 25.04.2-1.mga10
+ Revision: 2188438
- New version 25.04.2

* Thu Apr 17 2025 daviddavid <daviddavid> 25.04.0-1.mga10
+ Revision: 2176013
- New version 25.04.0

* Sat Mar 29 2025 daviddavid <daviddavid> 25.03.90-1.mga10
+ Revision: 2171060
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 24.12.3-1.mga10
+ Revision: 2163489
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147155
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136556
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123796
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116353
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114045
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105544
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097405
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087604
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085100
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073207
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069845
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058607
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045152
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037650
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033777
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025134
- New version 24.01.85

* Fri Nov 17 2023 daviddavid <daviddavid> 24.01.75-1.mga10
+ Revision: 2007334
- New version 24.01.75
- switch to Qt6/KF6

* Sat May 27 2023 daviddavid <daviddavid> 23.01.0-1.mga9
+ Revision: 1959210
- initial package khealthcertificate

